/*
 *	MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.testmodepitath.init;

import net.minecraft.world.item.SpawnEggItem;
import net.minecraft.world.item.Items;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.BlockItem;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.core.registries.BuiltInRegistries;
import net.minecraft.core.Registry;
import net.minecraft.client.renderer.item.ItemProperties;
import net.minecraft.client.renderer.item.ClampedItemPropertyFunction;

import net.mcreator.testmodepitath.item.VehemenceItem;
import net.mcreator.testmodepitath.item.UltimateGoldFragmentItem;
import net.mcreator.testmodepitath.item.SuperGoldFragmentItem;
import net.mcreator.testmodepitath.item.ImpureDivineShardItem;
import net.mcreator.testmodepitath.item.GrandDivineItem;
import net.mcreator.testmodepitath.item.EldrichPickItem;
import net.mcreator.testmodepitath.item.DusksepitathItem;
import net.mcreator.testmodepitath.item.DivineShardItem;
import net.mcreator.testmodepitath.item.DivineArmorItem;
import net.mcreator.testmodepitath.item.CharterIngotItem;
import net.mcreator.testmodepitath.TestModEpitathMod;

import net.fabricmc.fabric.api.itemgroup.v1.ItemGroupEvents;

public class TestModEpitathModItems {
	public static Item DIVINE_SHARD;
	public static Item DUSKSEPITATH;
	public static Item IMPURE_DIVINE_SHARD;
	public static Item IMPURE_DIVINE_ORE;
	public static Item GAY_BLOCK_1;
	public static Item ELDRICH_PICK;
	public static Item DIVINE_ARMOR_HELMET;
	public static Item DIVINE_ARMOR_CHESTPLATE;
	public static Item DIVINE_ARMOR_LEGGINGS;
	public static Item DIVINE_ARMOR_BOOTS;
	public static Item FALLEN_ANGEL_SPAWN_EGG;
	public static Item SUPER_GOLD;
	public static Item SUPER_GOLD_FRAGMENT;
	public static Item ULTIMATE_GOLD_FRAGMENT;
	public static Item VEHEMENCE;
	public static Item GRAND_DIVINE;
	public static Item CHARTER_INGOT;
	public static Item THE_MASON_SPAWN_EGG;

	public static void load() {
		DIVINE_SHARD = register("divine_shard", new DivineShardItem());
		DUSKSEPITATH = register("dusksepitath", new DusksepitathItem());
		IMPURE_DIVINE_SHARD = register("impure_divine_shard", new ImpureDivineShardItem());
		IMPURE_DIVINE_ORE = register("impure_divine_ore", new BlockItem(TestModEpitathModBlocks.IMPURE_DIVINE_ORE, new Item.Properties()));
		ItemGroupEvents.modifyEntriesEvent(TestModEpitathModTabs.TAB_CHARTERREMAKE).register(content -> content.accept(IMPURE_DIVINE_ORE));
		GAY_BLOCK_1 = register("gay_block_1", new BlockItem(TestModEpitathModBlocks.GAY_BLOCK_1, new Item.Properties()));
		ItemGroupEvents.modifyEntriesEvent(TestModEpitathModTabs.TAB_CHARTERREMAKE).register(content -> content.accept(GAY_BLOCK_1));
		ELDRICH_PICK = register("eldrich_pick", new EldrichPickItem());
		DIVINE_ARMOR_HELMET = register("divine_armor_helmet", new DivineArmorItem.Helmet());
		DIVINE_ARMOR_CHESTPLATE = register("divine_armor_chestplate", new DivineArmorItem.Chestplate());
		DIVINE_ARMOR_LEGGINGS = register("divine_armor_leggings", new DivineArmorItem.Leggings());
		DIVINE_ARMOR_BOOTS = register("divine_armor_boots", new DivineArmorItem.Boots());
		FALLEN_ANGEL_SPAWN_EGG = register("fallen_angel_spawn_egg", new SpawnEggItem(TestModEpitathModEntities.FALLEN_ANGEL, -13312, -16777216, new Item.Properties()));
		ItemGroupEvents.modifyEntriesEvent(TestModEpitathModTabs.TAB_CHARTERREMAKE).register(content -> content.accept(FALLEN_ANGEL_SPAWN_EGG));
		SUPER_GOLD = register("super_gold", new BlockItem(TestModEpitathModBlocks.SUPER_GOLD, new Item.Properties()));
		ItemGroupEvents.modifyEntriesEvent(TestModEpitathModTabs.TAB_CHARTERREMAKE).register(content -> content.accept(SUPER_GOLD));
		SUPER_GOLD_FRAGMENT = register("super_gold_fragment", new SuperGoldFragmentItem());
		ULTIMATE_GOLD_FRAGMENT = register("ultimate_gold_fragment", new UltimateGoldFragmentItem());
		VEHEMENCE = register("vehemence", new VehemenceItem());
		GRAND_DIVINE = register("grand_divine", new GrandDivineItem());
		CHARTER_INGOT = register("charter_ingot", new CharterIngotItem());
		THE_MASON_SPAWN_EGG = register("the_mason_spawn_egg", new SpawnEggItem(TestModEpitathModEntities.THE_MASON, -65536, -16711681, new Item.Properties()));
		ItemGroupEvents.modifyEntriesEvent(TestModEpitathModTabs.TAB_CHARTERREMAKE).register(content -> content.accept(THE_MASON_SPAWN_EGG));
	}

	public static void clientLoad() {
	}

	private static Item register(String registryName, Item item) {
		return Registry.register(BuiltInRegistries.ITEM, new ResourceLocation(TestModEpitathMod.MODID, registryName), item);
	}

	private static void registerBlockingProperty(Item item) {
		ItemProperties.register(item, new ResourceLocation("blocking"), (ClampedItemPropertyFunction) ItemProperties.getProperty(Items.SHIELD, new ResourceLocation("blocking")));
	}
}
