/*
*	MCreator note:
*
*	If you lock base mod element files, you can edit this file and the proxy files
*	and they won't get overwritten. If you change your mod package or modid, you
*	need to apply these changes to this file MANUALLY.
*
*
*	If you do not lock base mod element files in Workspace settings, this file
*	will be REGENERATED on each build.
*
*/
package net.mcreator.testmodepitath.init;

import net.minecraft.world.level.levelgen.placement.CaveSurface;
import net.minecraft.world.level.levelgen.SurfaceRules;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.world.level.biome.Biome;
import net.minecraft.resources.ResourceKey;

public class TestModEpitathModSurfaceRules {
	public static SurfaceRules.RuleSource makeOverworldRules() {
		return SurfaceRules.sequence(
				preliminarySurfaceRule(TestModEpitathModBiomes.DIVINE_CORE, TestModEpitathModBlocks.IMPURE_DIVINE_ORE.defaultBlockState(), TestModEpitathModBlocks.IMPURE_DIVINE_ORE.defaultBlockState(),
						TestModEpitathModBlocks.GAY_BLOCK_1.defaultBlockState()),
				anySurfaceRule(TestModEpitathModBiomes.DIVINE_CORE, TestModEpitathModBlocks.IMPURE_DIVINE_ORE.defaultBlockState(), TestModEpitathModBlocks.IMPURE_DIVINE_ORE.defaultBlockState(),
						TestModEpitathModBlocks.GAY_BLOCK_1.defaultBlockState()));
	}

	public static SurfaceRules.RuleSource makeNetherRules() {
		return SurfaceRules.sequence(anySurfaceRule(TestModEpitathModBiomes.DIVINE_CORE, TestModEpitathModBlocks.IMPURE_DIVINE_ORE.defaultBlockState(), TestModEpitathModBlocks.IMPURE_DIVINE_ORE.defaultBlockState(),
				TestModEpitathModBlocks.GAY_BLOCK_1.defaultBlockState()));
	}

	private static SurfaceRules.RuleSource preliminarySurfaceRule(ResourceKey<Biome> biomeKey, BlockState groundBlock, BlockState undergroundBlock, BlockState underwaterBlock) {
		return SurfaceRules.ifTrue(SurfaceRules.isBiome(biomeKey),
				SurfaceRules.ifTrue(SurfaceRules.abovePreliminarySurface(),
						SurfaceRules.sequence(
								SurfaceRules.ifTrue(SurfaceRules.stoneDepthCheck(0, false, 0, CaveSurface.FLOOR),
										SurfaceRules.sequence(SurfaceRules.ifTrue(SurfaceRules.waterBlockCheck(-1, 0), SurfaceRules.state(groundBlock)), SurfaceRules.state(underwaterBlock))),
								SurfaceRules.ifTrue(SurfaceRules.stoneDepthCheck(0, true, 0, CaveSurface.FLOOR), SurfaceRules.state(undergroundBlock)))));
	}

	private static SurfaceRules.RuleSource anySurfaceRule(ResourceKey<Biome> biomeKey, BlockState groundBlock, BlockState undergroundBlock, BlockState underwaterBlock) {
		return SurfaceRules.ifTrue(SurfaceRules.isBiome(biomeKey),
				SurfaceRules.sequence(
						SurfaceRules.ifTrue(SurfaceRules.stoneDepthCheck(0, false, 0, CaveSurface.FLOOR),
								SurfaceRules.sequence(SurfaceRules.ifTrue(SurfaceRules.waterBlockCheck(-1, 0), SurfaceRules.state(groundBlock)), SurfaceRules.state(underwaterBlock))),
						SurfaceRules.ifTrue(SurfaceRules.stoneDepthCheck(0, true, 0, CaveSurface.FLOOR), SurfaceRules.state(undergroundBlock))));
	}
}
