
/*
 *	MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.testmodepitath.init;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.EntityDimensions;
import net.minecraft.world.entity.Entity;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.core.registries.BuiltInRegistries;
import net.minecraft.core.Registry;

import net.mcreator.testmodepitath.entity.TheMasonEntity;
import net.mcreator.testmodepitath.entity.FallenAngelEntity;
import net.mcreator.testmodepitath.TestModEpitathMod;

import net.fabricmc.fabric.api.object.builder.v1.entity.FabricEntityTypeBuilder;
import net.fabricmc.fabric.api.object.builder.v1.entity.FabricDefaultAttributeRegistry;

public class TestModEpitathModEntities {
	public static EntityType<FallenAngelEntity> FALLEN_ANGEL;
	public static EntityType<TheMasonEntity> THE_MASON;

	public static void load() {
		FALLEN_ANGEL = Registry.register(BuiltInRegistries.ENTITY_TYPE, new ResourceLocation(TestModEpitathMod.MODID, "fallen_angel"),
				FabricEntityTypeBuilder.create(MobCategory.MISC, FallenAngelEntity::new).dimensions(new EntityDimensions(0.6f, 1.8f, true)).fireImmune().trackRangeBlocks(64).forceTrackedVelocityUpdates(true).trackedUpdateRate(3).build());
		FallenAngelEntity.init();
		FabricDefaultAttributeRegistry.register(FALLEN_ANGEL, FallenAngelEntity.createAttributes());
		THE_MASON = Registry.register(BuiltInRegistries.ENTITY_TYPE, new ResourceLocation(TestModEpitathMod.MODID, "the_mason"),
				FabricEntityTypeBuilder.create(MobCategory.MISC, TheMasonEntity::new).dimensions(new EntityDimensions(1.3f, 3.5f, true)).fireImmune().trackRangeBlocks(64).forceTrackedVelocityUpdates(true).trackedUpdateRate(3).build());
		TheMasonEntity.init();
		FabricDefaultAttributeRegistry.register(THE_MASON, TheMasonEntity.createAttributes());
	}

	private static <T extends Entity> EntityType<T> createArrowEntityType(EntityType.EntityFactory<T> factory) {
		return FabricEntityTypeBuilder.create(MobCategory.MISC, factory).dimensions(EntityDimensions.fixed(0.5f, 0.5f)).trackRangeBlocks(1).trackedUpdateRate(64).build();
	}
}
